org.apache.lucene.sandbox.queries

## Enum DuplicateFilter.ProcessingMode

- java.lang.Object
- - java.lang.Enum<DuplicateFilter.ProcessingMode>
  - - org.apache.lucene.sandbox.queries.DuplicateFilter.ProcessingMode

- All Implemented Interfaces:
    Serializable, Comparable<DuplicateFilter.ProcessingMode>
  Enclosing class:
    DuplicateFilter

      public static enum DuplicateFilter.ProcessingMode
      extends Enum<DuplicateFilter.ProcessingMode>

  "Full" processing mode starts by setting all bits to false and only setting bits for documents that contain the given field and are identified as none-duplicates.

  "Fast" processing sets all bits to true then unsets all duplicate docs found for the given field. This approach avoids the need to read DocsEnum for terms that are seen to have a document frequency of exactly "1" (i.e. no duplicates). While a potentially faster approach , the downside is that bitsets produced will include bits set for documents that do not actually contain the field given.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PM_FAST_INVALIDATION`
    `PM_FULL_VALIDATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DuplicateFilter.ProcessingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DuplicateFilter.ProcessingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PM_FULL_VALIDATION

          public static final DuplicateFilter.ProcessingMode PM_FULL_VALIDATION

    - #### PM_FAST_INVALIDATION

          public static final DuplicateFilter.ProcessingMode PM_FAST_INVALIDATION

  - ### Method Detail

    - #### values

          public static DuplicateFilter.ProcessingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DuplicateFilter.ProcessingMode c : DuplicateFilter.ProcessingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DuplicateFilter.ProcessingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.